image: docker:latest
services:
  - docker:dind

variables:
  DOCKE_DRIVER: overlay
  SPRING_PROFILES_ACTIVE: gitlab-ci

stages:
  - build
  - package
  # - deploy

maven-build:
  image: maven:3.8.1-jdk-11
  stage: build
  script: "mvn package -B"
  artifacts:
    paths:
      - target/*.jar

docker-build:
  stage: package
  script:
  - docker build -t registry.gitlab.com/mark.sanchez/actuator-sample .
  - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
  - docker push registry.gitlab.com/mark.sanchez/actuator-sample

# k8s-deploy:
#   image: google/cloud-sdk
#   stage: deploy
#   script:
#   - echo "$GOOGLE_KEY" > key.json
#   - gcloud auth activate-service-account --key-file key.json
#   - gcloud config set compute/zone europe-west1-c
#   - gcloud config set project actuator-sample
#   - gcloud config set container/use_client_certificate True
#   - gcloud container clusters get-credentials actuator-sample
#   - kubectl delete secret registry.gitlab.com
#   - kubectl create secret docker-registry registry.gitlab.com --docker-server=https://registry.gitlab.com --docker-username=mark.sanchez --docker-password=$REGISTRY_PASSWD --docker-email=sanch0220@hotmail.com
#   - kubectl apply -f deployment.yml

